<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_20) on Mon Jun 13 10:56:17 CEST 2011 -->
<TITLE>
TransferFunction
</TITLE>

<META NAME="date" CONTENT="2011-06-13">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="TransferFunction";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../TransferFunction/TransferFunctionException.html" title="class in TransferFunction"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?TransferFunction/TransferFunction.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="TransferFunction.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
TransferFunction</FONT>
<BR>
Class TransferFunction</H2>
<PRE>
java.lang.Object
  <IMG SRC="../resources/inherit.gif" ALT="extended by "><B>TransferFunction.TransferFunction</B>
</PRE>
<HR>
<DL>
<DT><PRE>public class <B>TransferFunction</B><DT>extends java.lang.Object</DL>
</PRE>

<P>
Allows to define a transfer function by a variable, a static gain, a
 numerator and a denominator.
<P>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../TransferFunction/TransferFunction.html#TransferFunction()">TransferFunction</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initializes a newly created TransferFunction object with a 'x'
 variable, null gain, empty numerator and empty denominator.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../TransferFunction/TransferFunction.html#TransferFunction(char)">TransferFunction</A></B>(char&nbsp;var)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initializes a newly created TransferFunction object with a
 null gain, empty numerator and empty denominator but with an user
 defined variable.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../TransferFunction/TransferFunction.html#TransferFunction(char, double)">TransferFunction</A></B>(char&nbsp;var,
                 double&nbsp;gain)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initializes a newly created TransferFunction object with user
 defined variable and gain but with empty numerator and denominator.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../TransferFunction/TransferFunction.html#TransferFunction(char, java.lang.String, java.lang.String, java.lang.String)">TransferFunction</A></B>(char&nbsp;var,
                 java.lang.String&nbsp;gain,
                 java.lang.String&nbsp;num,
                 java.lang.String&nbsp;den)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initializes a newly created TransferFunction object with string 
 objects containing different elements of the transfer function into 
 TransferFunction object.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../TransferFunction/TransferFunction.html#fromString(char, java.lang.String, java.lang.String, java.lang.String)">fromString</A></B>(char&nbsp;var,
           java.lang.String&nbsp;gain,
           java.lang.String&nbsp;num,
           java.lang.String&nbsp;den)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Converts string objects containing different elements of the
 transfer function into TransferFunction object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../TransferFunction/TransferFunction.html#getCoefDenominator()">getCoefDenominator</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the coefficient list of the denominator.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../TransferFunction/TransferFunction.html#getCoefNumerator()">getCoefNumerator</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the coefficient list of the numerator.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../Polynomial/Polynomial.html" title="class in Polynomial">Polynomial</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../TransferFunction/TransferFunction.html#getDenominator()">getDenominator</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the denominator (Polynomial object).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;double</CODE></FONT></TD>
<TD><CODE><B><A HREF="../TransferFunction/TransferFunction.html#getGain()">getGain</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the gain value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../Polynomial/Polynomial.html" title="class in Polynomial">Polynomial</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../TransferFunction/TransferFunction.html#getNumerator()">getNumerator</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the numerator (Polynomial object).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../TransferFunction/TransferFunction.html#getStringDenominator()">getStringDenominator</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets a string representation of the denominator.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../TransferFunction/TransferFunction.html#getStringGain()">getStringGain</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string object representing the transfer function gain.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../TransferFunction/TransferFunction.html#getStringNumerator()">getStringNumerator</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets a string representation of the numerator.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../TransferFunction/TransferFunction.html#getStringVar()">getStringVar</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string object representing the transfer function variable.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;char</CODE></FONT></TD>
<TD><CODE><B><A HREF="../TransferFunction/TransferFunction.html#getVar()">getVar</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the transfer function variable.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../TransferFunction/TransferFunction.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string object representing this transfer function.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="TransferFunction(char, double)"><!-- --></A><H3>
TransferFunction</H3>
<PRE>
public <B>TransferFunction</B>(char&nbsp;var,
                        double&nbsp;gain)</PRE>
<DL>
<DD>Initializes a newly created TransferFunction object with user
 defined variable and gain but with empty numerator and denominator.
<P>
</DL>
<HR>

<A NAME="TransferFunction(char)"><!-- --></A><H3>
TransferFunction</H3>
<PRE>
public <B>TransferFunction</B>(char&nbsp;var)</PRE>
<DL>
<DD>Initializes a newly created TransferFunction object with a
 null gain, empty numerator and empty denominator but with an user
 defined variable.
<P>
</DL>
<HR>

<A NAME="TransferFunction()"><!-- --></A><H3>
TransferFunction</H3>
<PRE>
public <B>TransferFunction</B>()</PRE>
<DL>
<DD>Initializes a newly created TransferFunction object with a 'x'
 variable, null gain, empty numerator and empty denominator.
<P>
</DL>
<HR>

<A NAME="TransferFunction(char, java.lang.String, java.lang.String, java.lang.String)"><!-- --></A><H3>
TransferFunction</H3>
<PRE>
public <B>TransferFunction</B>(char&nbsp;var,
                        java.lang.String&nbsp;gain,
                        java.lang.String&nbsp;num,
                        java.lang.String&nbsp;den)
                 throws <A HREF="../TransferFunction/TransferFunctionException.html" title="class in TransferFunction">TransferFunctionException</A></PRE>
<DL>
<DD>Initializes a newly created TransferFunction object with string 
 objects containing different elements of the transfer function into 
 TransferFunction object.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>var</CODE> - transfer function variable.<DD><CODE>gain</CODE> - string representation of gain value.<DD><CODE>num</CODE> - string representation of the numerator.<DD><CODE>den</CODE> - string representation of the denominator.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../TransferFunction/TransferFunctionException.html" title="class in TransferFunction">TransferFunctionException</A></CODE> - if an error occur.</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="fromString(char, java.lang.String, java.lang.String, java.lang.String)"><!-- --></A><H3>
fromString</H3>
<PRE>
public void <B>fromString</B>(char&nbsp;var,
                       java.lang.String&nbsp;gain,
                       java.lang.String&nbsp;num,
                       java.lang.String&nbsp;den)
                throws <A HREF="../TransferFunction/TransferFunctionException.html" title="class in TransferFunction">TransferFunctionException</A></PRE>
<DL>
<DD>Converts string objects containing different elements of the
 transfer function into TransferFunction object.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>var</CODE> - transfer function variable.<DD><CODE>gain</CODE> - string representation of gain value.<DD><CODE>num</CODE> - string representation of the numerator.<DD><CODE>den</CODE> - string representation of the denominator.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../TransferFunction/TransferFunctionException.html" title="class in TransferFunction">TransferFunctionException</A></CODE> - if an error occur.</DL>
</DD>
</DL>
<HR>

<A NAME="getNumerator()"><!-- --></A><H3>
getNumerator</H3>
<PRE>
public <A HREF="../Polynomial/Polynomial.html" title="class in Polynomial">Polynomial</A> <B>getNumerator</B>()</PRE>
<DL>
<DD>Gets the numerator (Polynomial object).
<P>
<DD><DL>

<DT><B>Returns:</B><DD>Polynomial object containing the numerator.</DL>
</DD>
</DL>
<HR>

<A NAME="getDenominator()"><!-- --></A><H3>
getDenominator</H3>
<PRE>
public <A HREF="../Polynomial/Polynomial.html" title="class in Polynomial">Polynomial</A> <B>getDenominator</B>()</PRE>
<DL>
<DD>Gets the denominator (Polynomial object).
<P>
<DD><DL>

<DT><B>Returns:</B><DD>Polynomial object containing the denominator.</DL>
</DD>
</DL>
<HR>

<A NAME="getStringNumerator()"><!-- --></A><H3>
getStringNumerator</H3>
<PRE>
public java.lang.String <B>getStringNumerator</B>()</PRE>
<DL>
<DD>Gets a string representation of the numerator.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>string representation of the numerator.</DL>
</DD>
</DL>
<HR>

<A NAME="getCoefNumerator()"><!-- --></A><H3>
getCoefNumerator</H3>
<PRE>
public java.lang.String <B>getCoefNumerator</B>()
                                  throws <A HREF="../TransferFunction/TransferFunctionException.html" title="class in TransferFunction">TransferFunctionException</A></PRE>
<DL>
<DD>Gets the coefficient list of the numerator.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>string object containing the coefficient list.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../TransferFunction/TransferFunctionException.html" title="class in TransferFunction">TransferFunctionException</A></CODE> - if numerator powers has different
        signs or if the numerator is empty.</DL>
</DD>
</DL>
<HR>

<A NAME="getStringDenominator()"><!-- --></A><H3>
getStringDenominator</H3>
<PRE>
public java.lang.String <B>getStringDenominator</B>()</PRE>
<DL>
<DD>Gets a string representation of the denominator.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>string representation of the denominator.</DL>
</DD>
</DL>
<HR>

<A NAME="getCoefDenominator()"><!-- --></A><H3>
getCoefDenominator</H3>
<PRE>
public java.lang.String <B>getCoefDenominator</B>()
                                    throws <A HREF="../TransferFunction/TransferFunctionException.html" title="class in TransferFunction">TransferFunctionException</A></PRE>
<DL>
<DD>Gets the coefficient list of the denominator.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>string object containing the coefficient list.
<DT><B>Throws:</B>
<DD><CODE><A HREF="../TransferFunction/TransferFunctionException.html" title="class in TransferFunction">TransferFunctionException</A></CODE> - if denominator powers has different
        signs or if the denominator is empty.</DL>
</DD>
</DL>
<HR>

<A NAME="getVar()"><!-- --></A><H3>
getVar</H3>
<PRE>
public char <B>getVar</B>()</PRE>
<DL>
<DD>Returns the transfer function variable.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>transfer function variable.</DL>
</DD>
</DL>
<HR>

<A NAME="getStringVar()"><!-- --></A><H3>
getStringVar</H3>
<PRE>
public java.lang.String <B>getStringVar</B>()</PRE>
<DL>
<DD>Returns a string object representing the transfer function variable.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>transfer function variable.</DL>
</DD>
</DL>
<HR>

<A NAME="getGain()"><!-- --></A><H3>
getGain</H3>
<PRE>
public double <B>getGain</B>()</PRE>
<DL>
<DD>Returns the gain value.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>gain value.</DL>
</DD>
</DL>
<HR>

<A NAME="getStringGain()"><!-- --></A><H3>
getStringGain</H3>
<PRE>
public java.lang.String <B>getStringGain</B>()</PRE>
<DL>
<DD>Returns a string object representing the transfer function gain.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>string object representing the transfer function gain.</DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public java.lang.String <B>toString</B>()</PRE>
<DL>
<DD>Returns a string object representing this transfer function.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE>toString</CODE> in class <CODE>java.lang.Object</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>string object representing this transfer function.</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../TransferFunction/TransferFunctionException.html" title="class in TransferFunction"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?TransferFunction/TransferFunction.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="TransferFunction.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
